#
# Makefile for the Rule Set Based Access Control helpers.
#
# Author and (c) 1999 Amon Ott
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definition is now in the main makefile...

O_TARGET := help.o
O_OBJS	 := syscalls.o
OX_OBJS	 := helpers.o getname.o debug.o

ifeq ($(CONFIG_RSBAC_PM),y)
O_OBJS   += pm_getname.o
endif

ifeq ($(CONFIG_RSBAC_RC),y)
O_OBJS   += rc_getname.o
endif
ifeq ($(CONFIG_RSBAC_RC_MAINT),y)
O_OBJS   += rc_getname.o
endif

ifeq ($(CONFIG_RSBAC_ACL),y)
O_OBJS   += acl_getname.o
endif
ifeq ($(CONFIG_RSBAC_ACL_MAINT),y)
O_OBJS   += acl_getname.o
endif

include $(TOPDIR)/Rules.make
